Model Router
List task types
The task types the router classifies into, their families, and the benchmarks each one is scored on. Requires runs_read.
GET
/
v1
/
router
/
task-types
List task types
curl --request GET \
--url https://api.opentype.dev/v1/router/task-types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opentype.dev/v1/router/task-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opentype.dev/v1/router/task-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"benchmarks_as_of": "<string>",
"families": [
"<string>"
],
"task_types": [
{
"id": "code_generation",
"family": "coding",
"domain": "<string>",
"description": "<string>",
"turns": 123,
"weights": [
{
"benchmark": "<string>",
"name": "<string>",
"weight": 123
}
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"violations": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"violations": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"violations": [
"<string>"
]
}
}List task types
curl --request GET \
--url https://api.opentype.dev/v1/router/task-types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opentype.dev/v1/router/task-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opentype.dev/v1/router/task-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"benchmarks_as_of": "<string>",
"families": [
"<string>"
],
"task_types": [
{
"id": "code_generation",
"family": "coding",
"domain": "<string>",
"description": "<string>",
"turns": 123,
"weights": [
{
"benchmark": "<string>",
"name": "<string>",
"weight": 123
}
]
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"violations": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"violations": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"violations": [
"<string>"
]
}
}